<?php
include("_dirinfo.php");

include (PATH_TO_ROOT."_class/class.Extjs_grid.php");
include (PATH_TO_ROOT."_support/class.UserSession.php");

?>
<?php 

	$grid = new MakeGrid();	
	$grid->setMainTable('programerji','Warpit_delo')
	->setTitle('Programerski oddelek');
	$grid->addColumn('id');
	$grid->addColumn('ime_priimek')->header('Programer')->width(200);
	$grid->addColumn('datum_rojstva')->header('Rojen')->type('date');
	$grid->addColumn('stopnja')->header('Stopnja')->editor('new Ext.form.TextField()');
	$grid->activateAdd()
	->activateRemove();
	
	echo $grid->createGrid();
	echo "mainTabPanel.add({xtype:'panel',padding:50,closable:true,items:{xtype:'panel',layout:'fit',height:200,width:500, items:{$grid->getName()}  } }).show();";

	?>
	